ustrnicmp(3)

NAME
ustrnicmp - Compares up to n letters of two strings ignoring case. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int ustrnicmp(const char *s1, const char *s2, int n);

DESCRIPTION
This function compares up to `n' characters of `s1' and `s2', ignoring case. Example:
   if (ustrnicmp(prefix, long_string, ustrlen(prefix)) == 0) {
      /* long_string starts with prefix (ignoring case) */
   }

RETURN VALUE
Returns zero if the strings are equal, a positive number if `s1' comes after `s2' in the ASCII collating sequence, else a negative number.

SEE ALSO
uconvert(3), ustrsize(3), ustrsizez(3), ustricmp(3), ustrcmp(3), ustrncmp(3)